<div class="row justify-content-center">
  <div class="col-8">
    <div *ngIf="imovel">
      <h2 data-cy="imovelDetailsHeading"><span jhiTranslate="madmApp.imovel.detail.title">Imovel</span></h2>

      <hr />

      <jhi-alert-error></jhi-alert-error>

      <jhi-alert></jhi-alert>

      <dl class="row-md jh-entity-details">
        <dt><span jhiTranslate="global.field.id">ID</span></dt>
        <dd>
          <span>{{ imovel.id }}</span>
        </dd>
        <dt><span jhiTranslate="madmApp.imovel.codImovel">Cod Imovel</span></dt>
        <dd>
          <span>{{ imovel.codImovel }}</span>
        </dd>
        <dt><span jhiTranslate="madmApp.imovel.documentoProprietario">Documento Proprietario</span></dt>
        <dd>
          <span>{{ imovel.documentoProprietario }}</span>
        </dd>
        <dt><span jhiTranslate="madmApp.imovel.tipoImovel">Tipo Imovel</span></dt>
        <dd>
          <span jhiTranslate="{{ 'madmApp.TipoImovel.' + imovel.tipoImovel }}">{{ imovel.tipoImovel }}</span>
        </dd>
        <dt><span jhiTranslate="madmApp.imovel.endereco">Endereco</span></dt>
        <dd>
          <div *ngIf="imovel.endereco">
            <a [routerLink]="['/endereco', imovel.endereco?.id, 'view']">{{ imovel.endereco?.id }}</a>
          </div>
        </dd>
      </dl>

      <button type="submit" (click)="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
        <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span jhiTranslate="entity.action.back">Back</span>
      </button>

      <button type="button" [routerLink]="['/imovel', imovel.id, 'edit']" class="btn btn-primary">
        <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span jhiTranslate="entity.action.edit">Edit</span>
      </button>
    </div>
  </div>
</div>
